<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPermissionList StructType
 * @subpackage Structs
 */
class GetPermissionList extends AbstractStructBase
{
    /**
     * The UserPermissionsRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_UserPermissionsRQ
     */
    public $UserPermissionsRQ;
    /**
     * Constructor method for GetPermissionList
     * @uses GetPermissionList::setUserPermissionsRQ()
     * @param \StructType\JP_UserPermissionsRQ $userPermissionsRQ
     */
    public function __construct(\StructType\JP_UserPermissionsRQ $userPermissionsRQ = null)
    {
        $this
            ->setUserPermissionsRQ($userPermissionsRQ);
    }
    /**
     * Get UserPermissionsRQ value
     * @return \StructType\JP_UserPermissionsRQ|null
     */
    public function getUserPermissionsRQ()
    {
        return $this->UserPermissionsRQ;
    }
    /**
     * Set UserPermissionsRQ value
     * @param \StructType\JP_UserPermissionsRQ $userPermissionsRQ
     * @return \StructType\GetPermissionList
     */
    public function setUserPermissionsRQ(\StructType\JP_UserPermissionsRQ $userPermissionsRQ = null)
    {
        $this->UserPermissionsRQ = $userPermissionsRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetPermissionList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
